
# QuickSlots+

A C# mod for Subnautica to add more slots.

## Features

* Up to 20 slots with hotkeys
* Disable adding new items to the quick slots
* Custom hotkey labels
* Icons snap to quick slots during drag/drop
* Save quick slot positions when you exit the game
* Works with Nitrox

### Add custom labels

1. Set hotkey in game, look at name.
2. Create a file named `Subnautica\Qmods\QuickSlotsPlus\customLabels.json`. Limited support for unicode.
```json
{
    "LeftArrow": "⬅️",
    "RightArrow": "Right"
}
```
3. I've already added some [default custom labels](https://github.com/celvro/QuickSlotsPlus/blob/fe41a7685674630b3e1b4fba457562b3d6f3bd66/Utility/LabelUtil.cs#L112). 
You can override them with the KeyCode name.

## Nitrox

Manually edit SMLHelper's `QMods\Modding Helper\mod.json` file and add `"NitroxCompat": true`.

## Manual Installation

1. Install QModManager and SMLHelper.
1. Extract `QMods\QuickSlotsPlus\` to `Subnautica\QMods\QuickSlotsPlus`.

## Known issues

* Controllers won't work until SMLHelper updates.
* Sometimes while testing Nitrox my tool icon disappeared, but I could still use it.

[Noticed a bug?](https://github.com/celvro/QuickSlotsPlus/issues)
